ECHO OFF
REM THIS FILE CONTAINS A BATCH JOB THAT CAN BE EXECUTED FROM A SHORTCUT.
REM
REM NOTE THAT THE MAGICSPLAT VERSION OF TCL/TK CAN BE INSTALLED
REM FOR EITHER A SINGLE USER OR FOR ALL USERS.  IF INSTALLED
REM FOR ALL USERS, ENTER "-all" WHEN RUNNING THIS BATCH FILE.
REM
SET TCLDIR=C:\Users\%USERNAME%\AppData\local\apps\Tcl86
IF "%1%" == "all" (
   SET TCLDIR=%PROGRAMFILES%\Tcl86
   SHIFT
)
IF "%1%" == "-all" (
   SET TCLDIR=%PROGRAMFILES%\Tcl86
   SHIFT
)
SET TCL_LIBRARY=%TCLDIR%\lib\TCL8.6
SET TK_LIBRARY=%TCLDIR%\lib\TK8.6
SET DATAPLO$=C:\DATAPLOT
SET FED$=C:\DATAPLOT
REM
IF EXIST "%TCLDIR%\bin\wish.exe" GOTO RUNWISH
ECHO " "
ECHO "ERROR: CANNOT FIND THE REQUESTED VERSION OF TCL/TK."
ECHO "       TCLDIR             = %TCLDIR%\bin\wish.exe"
ECHO "HIT ANY KEY TO EXIT"
PAUSE
EXIT
REM
:RUNWISH
REM THE FOLLOWING LINE INITIATES THE DATAPLOT GUI.  NOTE THAT THE
REM "-right" OPTION JUSTIFIES THE WINDOWS TO THE RIGHT OF THE SCREEN.
REM YOU CAN CHANGE THIS TO "-left" FOR LEFT JUSTIFICATION OR OMIT FOR
REM CENTER JUSTIFICATION.  THIS IS A MATTER OF TASTE.
REM
"%TCLDIR%\bin\wish.exe" "%DPDIR%frscript\xdataplot.wish" -pc -right %1 %2 %3
)
EXIT
